﻿Imports System
Imports System.Collections.Generic
Imports System.Web
Imports System.Web.UI
Imports System.Web.UI.WebControls

Public Class PageChangedEventArgs
    Inherits EventArgs
    Public Sub New(pageNumber As Integer)
        Me._PageNumber = pageNumber
    End Sub

    Private _pageNumber As Integer

    Public ReadOnly Property PageNumber() As Integer
        Get
            Return Me._pageNumber
        End Get
    End Property
End Class

Partial Public Class SearchPager
    Inherits System.Web.UI.UserControl

    Public Event PageChanged As EventHandler(Of PageChangedEventArgs)

    Protected Sub Page_Load(sender As Object, e As EventArgs)

    End Sub

    Protected Sub PagerPageList_SelectedIndexChanged(sender As Object, e As EventArgs)
        RaiseEvent PageChanged(Me, New PageChangedEventArgs(PagerPageList.SelectedIndex))

    End Sub

    Public ReadOnly Property PageList() As DropDownList
        Get
            Return Me.PagerPageList
        End Get
    End Property

    Public Sub SetCurrentPageNumber(pageNumber As Integer)
        If pageNumber <= Me.PagerPageList.Items.Count - 1 Then
            Me.PagerPageList.SelectedIndex = pageNumber
        End If
    End Sub

    Public Sub SetupPageList(numberOfPages As Integer)
        Dim pageNumber As Integer = 1
        While pageNumber <= numberOfPages
            Dim FirstItem As New ListItem(pageNumber.ToString())
            Me.PagerPageList.Items.Add(FirstItem)
            System.Math.Max(System.Threading.Interlocked.Increment(pageNumber), pageNumber - 1)
        End While

        'Me.PageText.Text = numberOfPages.ToString()


    End Sub

End Class
